<?php

namespace catchAdmin\api\model;

use catcher\base\CatchModel as Model;
use catcher\traits\db\BaseOptionsTrait;
use catcher\traits\db\ScopeTrait;

class Publish extends Model
{
    use BaseOptionsTrait, ScopeTrait;
    // 表名
    public $name = 'publish';
    // 数据库字段映射
    public $field = array(
        'id',
        // 类型 add|update|delete
        'Type',
        // 数据类型
        'ContentType',
        // 内容 json
        'Content',
        // 网关imei
        'Imei',
        // 内容id
        'ContentId',
        // 添加时间
        'AddTime',
        // 毫秒时间戳
        'Version',
        // 1 更新 2 只读
        'Status',
    );
    /**
     * @Descripttion: 添加记录
     * @name: likang
     * @return {*}
     */
    public function add($type)
    {
    }
}
