<?php


namespace catchAdmin\tag_history\model;

use catcher\base\CatchModel as Model;

class Report extends Model
{
    // 表名
    public $name = 'report';
    // 数据库字段映射
    public $field = array(
        'id',
        // 基站mac
        'mac',
        // 基站标签
        'lable',
        // 距离
        'meter',
        // 开始时间
        'startTime',
        // 结束时间
        'endTime',
        // json 数据
        'data',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );

    public function getStartTimeAttr()
    {
        $data =  $this->getData('startTime');
        return date('Y-m-d H:i:s', $data);
    }
    public function getEndTimeAttr()
    {
        $data =  $this->getData('endTime');
        return date('Y-m-d H:i:s', $data);
    }
}
