<?php
/*
 * @Descripttion: 
 * @version: 1.0.0
 * @Author: likang
 * @Date: 2022-08-12 10:33:24
 * @LastEditors: likang
 * @LastEditTime: 2022-10-09 14:16:28
 */




namespace catchAdmin\api\controller;

use catchAdmin\tag_history\model\TagHistory;
use catchAdmin\worklocation\model\WorkRecord as ModelWorkRecord;
use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use \think\facade\Db;


error_reporting(0);
class Api extends CatchController
{
    public function report()
    {
        $token = $_GET['token'];
        if (!$token || $token != '22723927C') {
            json_fail('缺少token或者token不对');
        }
        $param = json_decode(optimize_json(file_get_contents("php://input")), true);
        if (json_last_error() != 0) {
            json_fail('解析异常', json_last_error_msg());
        }
        $mac = $param['mac'];
        if (empty($mac)) {
            json_fail('mac地址不存在');
        }
        $data = [];
        foreach ($param['list'] as $item) {
            $data[] = [
                'mac' => $mac,
                'lable' => $item['label'],
                'rssi' => $item['rssi'],
                'time' => $item['time'],
                'addTime' => time(),
                'move' => $item['move'],
                'step' => empty($item['step']) ? 0 : $item['step'],
                'temperature' => empty($item['temperature']) ? 0 : $item['temperature'],
                //告警
                'temperWarn' => empty($item['temperWarn']) ? 00 : $item['temperWarn'],
            ];
        }
        $tage = new TagHistory();
        $tage->saveAll($data);
        json_success('上传成功');
    }
}
