<?php


namespace catchAdmin\tag_history\model;

use catcher\base\CatchModel as Model;

class TagHistory extends Model
{
    // 表名
    public $name = 'tag_history';
    // 数据库字段映射
    public $field = array(
        'id',
        // 基站mac
        'mac',
        // 基站标签
        'lable',
        // 标签上报时间戳
        'time',
        // 上报时间戳
        'addTime',
        // 心跳
        'rssi',
        'move',
        'step',
        'temperature',
        //告警
        'temperWarn',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
}
